---
base_dir: "{{ inventory_dir }}/.."
kubernetes_docker_proxy: docker.io
kubernetes_k8s_gcr_proxy: k8s.gcr.io

kubernetes_charts_cinder_repository:
  https://kubernetes.github.io/cloud-provider-openstack
kubernetes_charts_cinder_etc_path: "{{ ansible_user_dir }}/helm/cinder"
kubernetes_charts_cinder_namespace: cinder-system
kubernetes_charts_cinder_version: 1.4.9

kubernetes_charts_cinder_additional_classes: []
# Example to add additional classes:
# kubernetes_charts_cinder_additional_classes:
#  - name: ssd
#    parameters:
#      availability: nova
#      type: ssd
kubernetes_kubelet_folder: /var/lib/kubelet

cinder_override_file:
  "{{ kubernetes_charts_cinder_etc_path }}/cinder-override.yml"

# kubernetes_charts_cinder_default_class_name:

os_infra_local_cloud: "{{ base_dir }}/vars/user_cloud.yml"

###
# Internal variables, don't change it
##

kubernetes_charts_cinder_openstack_secret: cinder-csi-cloud-config
kubernetes_charts_cinder_controller_plugin_psp: cinder-controllerplugin-psp
kubernetes_charts_cinder_node_plugin_psp: cinder-nodeplugin-psp

# hardcoded in https://github.com/kubernetes/cloud-provider-openstack/blob/\
# v1.22.0/charts/cinder-csi-plugin/templates/controllerplugin-rbac.yaml#L7
kubernetes_charts_cinder_controller_plugin_sa: csi-cinder-controller-sa
# hardcoded in https://github.com/kubernetes/cloud-provider-openstack/blob/\
# v1.22.0/charts/cinder-csi-plugin/templates/nodeplugin-rbac.yaml#L4
kubernetes_charts_cinder_node_plugin_sa: csi-cinder-node-sa
